#!/usr/bin/env python
#Tiago de Freitas Pereira <tiagofrepereira@gmail.com>
#Thu Oct 04 14:44:00 CEST 2012

def perfTable(develTexts,testTexts,thres):
  tbl = []
  
  tbl.append(" threshold: %.4f" % thres)
  tbl.append(develTexts)
  tbl.append(testTexts)
  tbl.append("*****")

  txt = ''.join([k+'\n' for k in tbl])
  return txt



def saveCounterMeasureResults(trainRealScores,trainAttackScores,develRealScores,develAttackScores,testRealScores,testAttackScores,thres,lines,devel_text,test_text,energy,outputDir,scoresRange=(-5,5)):

  ################################
  # Saving the performance table
  ################################
  txt = perfTable(models,devel_text,test_text,thres,energy=energy)
  tf = open(os.path.join(outputDir, 'perf_table.txt'), 'w')
  tf.write(txt)


  ################################
  # Plotting the score distribution
  ################################
  pp = PdfPages(os.path.join(outputDir,"Scores-Distribution.pdf"))
  fig = mpl.figure()

  train = [trainRealScores, trainAttackScores]
  devel = [develRealScores, develAttackScores]
  test  = [testRealScores, testAttackScores]

  perf.score_distribution_plot(test, devel, train, bins=60, thres=thres,scoresRange=scoresRange,title=" - DoG")
  pp.savefig(fig)
  pp.close()


