#!/usr/bin/env python
#Tiago de Freitas Pereira <tiagofrepereira@gmail.com>
#Sun Jul  8 20:35:55 CEST 2012

from setuptools import setup, find_packages

# The only thing we do in this file is to call the setup() function with all
# parameters that define our package.
setup(

    name='antispoofing.dog',
    version='1.0.2',
    description='Idiap\'s implementation for the paper: A face Antispoofing Database with Diverse Attacks',
    url='http://pypi.python.org/pypi/antispoofing.dog',
    license='GPLv3',
    author='Tiago de Freitas Pereira',
    author_email='tiagofrepereira@gmail.com',
    long_description=open('README.rst').read(),

    # This line is required for any distutils based packaging.
    packages=find_packages(),
    include_package_data = True,

    install_requires=[
        "bob >= 1.1.0",      # base signal proc./machine learning library
        "xbob.db.replay",
        "xbob.db.casia_fasd",
        "antispoofing.utils",  #Utils Package
    ],

    namespace_packages = [
      'antispoofing',
      ],

    entry_points={
      'console_scripts': [
        'dog_parameters.py = antispoofing.dog.script.parameters:main',
        'dog_ldatrain.py = antispoofing.dog.script.ldatrain:main',
        'dog_make_scores.py = antispoofing.dog.script.make_scores:main',
        'dog_result_analysis.py = antispoofing.dog.script.result_analysis:main',
        'dog_svmtrain.py = antispoofing.dog.script.svmtrain:main',
        ],
      },

    classifiers = [
      'Development Status :: 5 - Production/Stable',
      'Intended Audience :: Science/Research',
      'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
      'Natural Language :: English',
      'Programming Language :: Python',
      'Topic :: Scientific/Engineering :: Artificial Intelligence',
      ],

)
